Subject: Re: Can I checkout a single file without altering index?

From: Andreas Schwab <[email-masked]>
Date: Fri, 15 Oct 2010 21:02:13 +0200

"Neal Kreitzinger" <[email-masked]> writes:

> However, there is an option in git-commit to copy files directly from the 
> working-tree to the object-store by totally bypassing the index, but no one 
> seems to do this or recommend doing this as normative practice.  None the 
> less, this "exception" in the git-commit manpage does seem to set the 
> precedent, so maybe it is also conceivable to copy objects directly from the 
> object-store to the work-tree by totally bypassing the index.

You can always do "git cat-file blob <object>", though you have to
redirect output manually.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."